Bug 183223 - One USB token causes 2 mount points
One USB token causes 2 mount points
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 11:42 EST by Peter Bieringer
Modified: 2008-01-09 06:18 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-09 06:18:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Contents of related sysfs entries (5.76 KB, text/plain)
2006-02-27 11:42 EST, Peter Bieringer
no flags Details
usbmon trace (47.35 KB, text/plain)
2006-03-01 10:22 EST, Peter Bieringer
no flags Details
usbmon trace of changed layout (46.29 KB, text/plain)
2006-03-01 10:53 EST, Peter Bieringer
no flags Details
related kernel messages of changed layout (2.97 KB, text/plain)
2006-03-01 10:54 EST, Peter Bieringer
no flags Details

  None (edit)
Description Peter Bieringer 2006-02-27 11:42:18 EST
Description of problem:
I got a "Citrix" USB storage token with 128 MByte. After plugin in a Linux
system, I got two mount points. This are mounted automatically, each has 128
MByte size. I can write to both devices, but only content of the second one
would be shown after unmount/unplug/plug.

Version-Release number of selected component (if applicable):
udev-071-0.FC4.3
kernel-2.6.15-1.1831_FC4

How reproducible:
Always

Steps to Reproduce:
1. Get token
2. Plug-in token
  
Actual results:
# mount
/dev/sde1 on /media/Citrix128M type vfat (rw,nosuid,nodev,_netdev,utf8,user=peter)
/dev/sdd1 on /media/Citrix128M1 type vfat (rw,nosuid,nodev,_netdev,utf8,user=peter)


Expected results:
Only one mount point

Additional info:
Looks like this token is some kind of strange, on Windows, I got also 2 drives,
one is type hard disk, the other is type CD-ROM, named "Auto_Run" and containing
some files. I do not see this files on Linux at all.

# lsusb
Bus 001 Device 019: ID 058f:9384 Alcor Micro Corp.

Kernel log tells me:
Feb 27 17:44:02 host kernel: usb 1-2.4: new full speed USB device using uhci_hcd
and address 20
Feb 27 17:44:03 host kernel: scsi17 : SCSI emulation for USB Mass Storage devices
Feb 27 17:44:03 host kernel: usb-storage: device found at 20
Feb 27 17:44:03 host kernel: usb-storage: waiting for device to settle before
scanning
Feb 27 17:44:08 host kernel: Vendor: Generic   Model: Flash Disk        Rev: 8.01
Feb 27 17:44:08 host kernel: Type:   Direct-Access                      ANSI
SCSI revision: 02
Feb 27 17:44:08 host kernel: SCSI device sdd: 252306 512-byte hdwr sectors (129 MB)
Feb 27 17:44:08 host kernel: sdd: Write Protect is off
Feb 27 17:44:08 host kernel: sdd: Mode Sense: 03 00 00 00
Feb 27 17:44:08 host kernel: sdd: assuming drive cache: write through
Feb 27 17:44:08 host kernel: SCSI device sdd: 252306 512-byte hdwr sectors (129 MB)
Feb 27 17:44:08 host kernel: sdd: Write Protect is off
Feb 27 17:44:08 host kernel: sdd: Mode Sense: 03 00 00 00
Feb 27 17:44:08 host kernel: sdd: assuming drive cache: write through
Feb 27 17:44:08 host kernel: sdd: sdd1
Feb 27 17:44:08 host kernel: sd 17:0:0:0: Attached scsi removable disk sdd
Feb 27 17:44:08 host kernel: Vendor: Generic   Model: Flash Disk        Rev: 8.01
Feb 27 17:44:08 host kernel: Type:   Direct-Access                      ANSI
SCSI revision: 02
Feb 27 17:44:08 host kernel: SCSI device sde: 252306 512-byte hdwr sectors (129 MB)
Feb 27 17:44:08 host kernel: sde: Write Protect is off
Feb 27 17:44:08 host kernel: sde: Mode Sense: 03 00 00 00
Feb 27 17:44:08 host kernel: sde: assuming drive cache: write through
Feb 27 17:44:08 host kernel: SCSI device sde: 252306 512-byte hdwr sectors (129 MB)
Feb 27 17:44:08 host kernel: sde: Write Protect is off
Feb 27 17:44:08 host kernel: sde: Mode Sense: 03 00 00 00
Feb 27 17:44:08 host kernel: sde: assuming drive cache: write through
Feb 27 17:44:08 host kernel: sde: sde1
Comment 1 Peter Bieringer 2006-02-27 11:42:18 EST
Created attachment 125326 [details]
Contents of related sysfs entries
Comment 2 Pete Zaitcev 2006-02-27 13:35:03 EST
This looks similar to bug 164688. However, the report about Windows showing
the drive as a CD makes me wary.

The workaround for now is to disable automatic mounting (in order to prevent
filesystem corruption if the second LUN is aliased).
Comment 3 Peter Bieringer 2006-03-01 10:20:37 EST
Contents of this "virtual" CD-ROM drive, which is not seen on Linux at all:

C:\>dir f:
 Volume in drive F is Auto_Run
 Volume Serial Number is AEC8-47E0

 Directory of F:\

10.09.2004  03:16                   27 autorun.inf
10.09.2004  03:16              221.184 autorunON.exe
10.09.2004  03:16               53.248 DrvMon.exe
10.09.2004  03:16               81.920 Loader.dll
10.09.2004  03:16               57.344 Loader.exe
               5 File(s)        413.723 bytes
               0 Dir(s)               0 bytes free


W2K Disk Manager shows a Disk and a CDRom.
Comment 4 Peter Bieringer 2006-03-01 10:22:46 EST
Created attachment 125467 [details]
usbmon trace

according to https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=164688#c3
Comment 5 Peter Bieringer 2006-03-01 10:53:15 EST
Created attachment 125471 [details]
usbmon trace of changed layout

usbmon trace with repartionized/formatted usb stick
Comment 6 Peter Bieringer 2006-03-01 10:54:13 EST
Created attachment 125472 [details]
related kernel messages of changed layout
Comment 7 Peter Bieringer 2006-03-01 10:56:00 EST
Note that the USB stick was a gift and I do not really need it at the moment. So
I can send it via postal services to a kernel developer in Germany or Western
Europe, if this would help solving the problem.
Comment 8 Peter Bieringer 2006-03-01 10:58:57 EST
Oops, regarding to
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183223#c4,
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183223#c5,
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183223#c6 text was lost:
Using the magic tool provided on the CDROM part of the stick I changed the
layout of the stick from 1 to 2 partions with different sizes. Linux detects
sda, sdb, sdc, but sdc would have the same size of sda.
Comment 9 Peter Bieringer 2006-04-27 07:30:56 EDT
Same happen on 2.6.16-1.2096_FC5, will change target now
Comment 10 Pete Zaitcev 2006-04-27 15:28:54 EDT
Thanks. I didn't do anything about this because I was unable to come up with
the problem scenario. IOW, I do not understand what is happening here. Sorry.
Comment 11 Peter Bieringer 2006-04-27 18:35:17 EDT
I have no problem to send you this strange kind of USB stick. Send me
off-bugzilla a postal address. It should be light enough to be a letter.
Comment 12 Peter Bieringer 2006-06-25 12:35:20 EDT
Same happen on kernel 2.6.17-1.2130_FC5
Comment 13 Peter Bieringer 2006-09-17 09:59:18 EDT
Same happen on kernel kernel-2.6.17-1.2187_FC5
Comment 14 Dave Jones 2006-10-16 14:16:59 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 15 Peter Bieringer 2006-10-17 16:20:56 EDT
2.6.18-1.2200.fc5

Still mounted double:

/dev/sdf on /media/disk type vfat (rw,noexec,nosuid,nodev,shortname=winnt,uid=1001)
/dev/sdd on /media/disk type vfat (rw,noexec,nosuid,nodev,shortname=winnt,uid=1001)
/dev/sde on /media/disk-1 type vfat
(rw,noexec,nosuid,nodev,shortname=winnt,uid=1001)

usb 1-2.1.4: new full speed USB device using uhci_hcd and address 5
usb 1-2.1.4: configuration #1 chosen from 1 choice
Initializing USB Mass Storage driver...
scsi1 : SCSI emulation for USB Mass Storage devices
usb-storage: device found at 5
usb-storage: waiting for device to settle before scanning
usbcore: registered new driver usb-storage
USB Mass Storage support registered.
  Vendor: Generic   Model: Flash Disk        Rev: 8.01
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdd: 2523 512-byte hdwr sectors (1 MB)
sdd: Write Protect is off
sdd: Mode Sense: 03 00 00 00
sdd: assuming drive cache: write through
SCSI device sdd: 2523 512-byte hdwr sectors (1 MB)
sdd: Write Protect is off
sdd: Mode Sense: 03 00 00 00
sdd: assuming drive cache: write through
 sdd: unknown partition table
sd 1:0:0:0: Attached scsi removable disk sdd
sd 1:0:0:0: Attached scsi generic sg3 type 0
  Vendor: Generic   Model: Flash Disk        Rev: 8.01
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sde: 249783 512-byte hdwr sectors (128 MB)
sde: Write Protect is off
sde: Mode Sense: 03 00 00 00
sde: assuming drive cache: write through
SCSI device sde: 249783 512-byte hdwr sectors (128 MB)
sde: Write Protect is off
sde: Mode Sense: 03 00 00 00
sde: assuming drive cache: write through
 sde: unknown partition table
sd 1:0:0:1: Attached scsi removable disk sde
sd 1:0:0:1: Attached scsi generic sg4 type 0
  Vendor: Generic   Model: Flash Disk        Rev: 8.01
  Type:   Direct-Access                      ANSI SCSI revision: 02
SCSI device sdf: 249783 512-byte hdwr sectors (128 MB)
sdf: Write Protect is off
sdf: Mode Sense: 03 00 00 00
sdf: assuming drive cache: write through
SCSI device sdf: 249783 512-byte hdwr sectors (128 MB)
sdf: Write Protect is off
sdf: Mode Sense: 03 00 00 00
sdf: assuming drive cache: write through
 sdf: unknown partition table
sd 1:0:0:2: Attached scsi removable disk sdf
sd 1:0:0:2: Attached scsi generic sg5 type 0
usb-storage: device scan complete
Comment 16 Dave Jones 2006-10-17 19:00:30 EDT
I think this is a valid multi-LUN device, and the only bug here is that
gnome-volume-manager is mounting both luns on the same mountpoint.

Pete, do you agree with reassigning this to g-v-m ?
Comment 17 Pete Zaitcev 2006-10-17 19:59:48 EDT
But we see 3 devices now, not two. That's screwed up, and seems recent.

The original report was understandable (with only 2 devices).
I meet these from time to time. They try to pretend to have a CD in Windows,
and you can get some software from it. It should be a write-protected part
of flash. For some reason though, we only see a normal block device (sd)
and not a CD (sr). So I kept this around to look at it and perhaps learn
to recognize those properly, but never have a moment. I barely had a look
at the usbmon traces which Peter collected.
Comment 18 Peter Bieringer 2006-10-18 02:13:24 EDT
As mentioned at https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=183223#c8 I
have change the layout of the stick since initial report.

The still existing issue is that the 128 M part occurs twice. usb driver detects
3 drives (but 2 of them are identically). g-v-m mount, whatever usb driver
recognizes as drives, currently 3.
Comment 19 Peter Bieringer 2007-07-31 03:22:06 EDT
Same happen on latest 2.6.21 from F7
Comment 20 Christopher Brown 2008-01-08 19:01:16 EST
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.
Comment 21 Peter Bieringer 2008-01-09 01:45:18 EST
I do no longer own the USB stick. I gave it to some Red Hat guys in Munich last
August, don't know what's happen since there.
Comment 22 Christopher Brown 2008-01-09 06:18:10 EST
Okay, thanks for the update Peter. Closing INSUFFICIENT_DATA...

Note You need to log in before you can comment on or make changes to this bug.